org.eclipse.jdt.ui.jarpackager

## Interface IManifestProvider

    public interface IManifestProvider

A manifest provider creates manifest files. Clients may implement this interface.

Since:
  2.0
See Also:
  `Manifest`

### Method Summary

All Methods Instance Methods Abstract Methods
`Manifest` `create(JarPackageData jarPackage)` Creates a manifest as defined by the `JarPackage`.
`Manifest` `createDefault(String manifestVersion)` Creates a default manifest.

### Method Detail

#### create

    Manifest create(JarPackageData jarPackage)
             throws CoreException

Creates a manifest as defined by the `JarPackage`.

Parameters:
  `jarPackage` - the JAR package specification
Returns:
  the created manifest
Throws:
  `CoreException` - if access to any resource described by the JAR package has failed

#### createDefault

    Manifest createDefault(String manifestVersion)

Creates a default manifest.

Parameters:
  `manifestVersion` - a string denoting the manifest version
Returns:
  the created manifest